## Function Definition

## Usage

    function( arglist ) expr
    return(value)

## Description

These functions provide the base mechanisms for defining new functions in the R language.

## See Also

`args` and `body` for accessing the arguments and body of a function. `debug` for debugging; `invisible` for `return(.)`ing invisibly.

## Examples

    norm <- function(x) sqrt(x%*%x)
    norm(1:4)

    ## An anonymous function:
    (function(x,y){ z <- x^2 + y^2; x+y+z })(0:7, 1)

[Package Contents]